List Traces
curl --request GET \
--url https://api.pandaprobe.com/traces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"latency_ms": 123,
"span_count": 0,
"total_tokens": 0,
"total_cost": 0
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Traces
List Traces
List traces for the current project with filtering, sorting, and stats.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
GET
/
traces
List Traces
curl --request GET \
--url https://api.pandaprobe.com/traces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"latency_ms": 123,
"span_count": 0,
"total_tokens": 0,
"total_cost": 0
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0High-level status of a trace.
Available options:
PENDING, RUNNING, COMPLETED, ERROR Columns available for sorting trace list results.
Available options:
started_at, ended_at, name, latency, status Generic ascending / descending sort direction.
Available options:
asc, desc 
